%define major		4
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		kpmcore
Version:	3.0.3
Release:	%mkrel 1
Summary:	Library for managing partitions by KDE programs
Group:		System/Kernel and hardware
License:	GPLv3+
URL:		https://cgit.kde.org/kpmcore.git/
Source0:	http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:	gettext
BuildRequires:	pkgconfig(blkid)
BuildRequires:	pkgconfig(libatasmart)
BuildRequires:	pkgconfig(libparted)

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)

Requires:	parted
Requires:	e2fsprogs

%description
KPMcore contains common code for managing partitions by KDE Partition Manager
and other KDE projects.

%files -f %{name}.lang
%license COPYING.GPL3
%{_qt5_plugindir}/libpm*.so
%{_kf5_services}/pm*backendplugin.desktop
%{_kf5_servicetypes}/pm*backendplugin.desktop

#--------------------------------------------------------------------

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Main library for %{name}.

%files -n %{libname}
%{_kf5_libdir}/lib%{name}.so.%{major}
%{_kf5_libdir}/lib%{name}.so.%{version}

#--------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development library and header files for %{name}.

%files -n %{develname}
%{_includedir}/%{name}/
%{_kf5_libdir}/cmake/KPMcore
%{_kf5_libdir}/libkpmcore.so

#--------------------------------------------------------------------

%prep
%autosetup

%build
%cmake_kf5

%make_build

%install
%make_install -C build

%find_lang %{name} --with-kde



%changelog
* Fri Feb 10 2017 daviddavid <daviddavid> 3.0.3-1.mga6
+ Revision: 1085524
- new version: 3.0.3
- update URL

* Fri Jan 06 2017 daviddavid <daviddavid> 3.0.2-1.mga6
+ Revision: 1080333
- new version: 3.0.2

* Sun Jan 01 2017 neoclust <neoclust> 3.0.1-1.mga6
+ Revision: 1078968
- New version 3.0.1

* Sun Jul 10 2016 daviddavid <daviddavid> 2.2.1-1.mga6
+ Revision: 1040379
- new version: 2.2.1
- update URL

* Sat May 28 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 1019066
- new version: 2.2.0

* Thu May 26 2016 daviddavid <daviddavid> 2.1.1-1.mga6
+ Revision: 1018675
- new version: 2.1.1

* Sun Mar 13 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 990204
- new version: 2.1.0
- now libmajor is 2

* Tue Jan 26 2016 daviddavid <daviddavid> 2.0.0-1.mga6
+ Revision: 927825
- imported package kpmcore

